summaryrefslogtreecommitdiffstats
path: root/desktop/thunar-archive-plugin
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-11 20:00:10 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 20:00:10 +0200
commit6e7eff041e1bf98fc2cd36d51962099d72435e97 (patch)
treeac3d5a39de074e6081ea88d747c41efe2221c1f3 /desktop/thunar-archive-plugin
parenta715c0ae8a3db7bf352c09d8e0dd5802bd927839 (diff)
downloadslackbuilds-6e7eff041e1bf98fc2cd36d51962099d72435e97.tar.gz
slackbuilds-6e7eff041e1bf98fc2cd36d51962099d72435e97.tar.xz
desktop/thunar-archive-plugin: Added to 12.0 repository
Diffstat (limited to 'desktop/thunar-archive-plugin')
-rw-r--r--desktop/thunar-archive-plugin/README8
-rw-r--r--desktop/thunar-archive-plugin/slack-desc19
-rw-r--r--desktop/thunar-archive-plugin/thunar-archive-plugin.SlackBuild82
-rw-r--r--desktop/thunar-archive-plugin/thunar-archive-plugin.info8
4 files changed, 117 insertions, 0 deletions
diff --git a/desktop/thunar-archive-plugin/README b/desktop/thunar-archive-plugin/README
new file mode 100644
index 0000000000..f3ae7ee1c7
--- /dev/null
+++ b/desktop/thunar-archive-plugin/README
@@ -0,0 +1,8 @@
+Thunar Archive Plugin for Xfce's Thunar File Manager
+
+The thunar-archive-plugin is a plugin for the Thunar File Manager, which
+adds archive operations to the file context menus. Using this plugin you
+will be able to extract and create archive files from within Thunar with
+a single click.
+
+You'll probably want xarchiver installed for this to be useful.
diff --git a/desktop/thunar-archive-plugin/slack-desc b/desktop/thunar-archive-plugin/slack-desc
new file mode 100644
index 0000000000..5533479637
--- /dev/null
+++ b/desktop/thunar-archive-plugin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+thunar-archive-plugin: thunar-archive-plugin (Thunar Archive Plugin)
+thunar-archive-plugin:
+thunar-archive-plugin: The thunar-archive-plugin is a plugin for the Thunar
+thunar-archive-plugin: File Manager, which adds archive operations to the
+thunar-archive-plugin: file context menus. Using this plugin you will be able
+thunar-archive-plugin: to extract and create archive files from within Thunar
+thunar-archive-plugin: with a a single click.
+thunar-archive-plugin:
+thunar-archive-plugin:
+thunar-archive-plugin:
+thunar-archive-plugin:
diff --git a/desktop/thunar-archive-plugin/thunar-archive-plugin.SlackBuild b/desktop/thunar-archive-plugin/thunar-archive-plugin.SlackBuild
new file mode 100644
index 0000000000..0f25c69afe
--- /dev/null
+++ b/desktop/thunar-archive-plugin/thunar-archive-plugin.SlackBuild
@@ -0,0 +1,82 @@
+#!/bin/sh
+
+# Slackware build script for thunar-archive-plugin
+
+# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thunar-archive-plugin
+VERSION=0.2.4
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-shared=yes \
+ --enable-static=no \
+ --enable-debug=no
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/desktop/thunar-archive-plugin/thunar-archive-plugin.info b/desktop/thunar-archive-plugin/thunar-archive-plugin.info
new file mode 100644
index 0000000000..7d6ef63cca
--- /dev/null
+++ b/desktop/thunar-archive-plugin/thunar-archive-plugin.info
@@ -0,0 +1,8 @@
+PRGNAM="thunar-archive-plugin"
+VERSION="0.2.4"
+HOMEPAGE="http://foo-projects.org/~benny/projects/thunar-archive-plugin/index.html"
+DOWNLOAD="http://download.berlios.de/xfce-goodies/thunar-archive-plugin-0.2.4.tar.bz2"
+MD5SUM="4c389e6328af9322937af76382f0baec"
+MAINTAINER="Robby Workman"
+EMAIL="rw@rlworkman.net"
+APPROVED="BP{k}"